# Get Market BBO Data

#### /sapi/v1/market/bbo&#x20;

Request type: GET

Signature verification: No

Interface permission: Read

Rate Limit: For public interface to get market data such as Get Kline data, Get Market Data Overview, Get Contract Information,Get market in-depth data, Get premium index Kline, Get real-time forecast capital rate kline, Get basis data, Get the last Trade of a Contract and so on： （1）For restful interfaces, products, (future, coin margined swap, usdt margined Contracts)800 times/second for one IP at most

Interface description: he interface supports cross margin mode and isolated margin mode. The request parameter "contract\_code" supports the contract code of futures, in that the format is BTC-USDT-210625; and supports contract type: BTC-USDT, BTC-USDT-CW, BTC-USDT-NW, BTC-USDT-CQ, BTC-USDT-NQ. business\_type is a required parameter when query info of futures contract, and its value must be futures or all.

### Request Address

| Environment                         | Address                                     |
| ----------------------------------- | ------------------------------------------- |
| Online                              | [https://api.sunx.io](https://api.sunx.io/) |
| Online (preferred by aws customers) | [https://api.sunx.io](https://api.sunx.io/) |

### Request Parameter

| Parameter      | Data Type | Required | Description                    | Value Range                                                                                               | Default Value |
| -------------- | --------- | -------- | ------------------------------ | --------------------------------------------------------------------------------------------------------- | ------------- |
| contract\_code | string    | false    | contract code or contract type | swap: "BTC-USDT"... , future: "BTC-USDT-220325" ... or BTC-USDT-CW, BTC-USDT-NW, BTC-USDT-CQ, BTC-USDT-NQ |               |
| business\_type | string    | false    | business type, default is swap | futures, swap, all                                                                                        |               |

### Response Parameter

| Parameter      | Data Type    | Required | Description                                                     | Value Range                                                                                               |
| -------------- | ------------ | -------- | --------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| status         | string       | true     | the result of server handling to request                        | "ok" , "error"                                                                                            |
| \<ticks>       | object array | true     |                                                                 |                                                                                                           |
| contract\_code | string       | true     | contract code or contract type                                  | swap: "BTC-USDT"... , future: "BTC-USDT-220325" ... or BTC-USDT-CW, BTC-USDT-NW, BTC-USDT-CQ, BTC-USDT-NQ |
| business\_type | string       | true     | business type                                                   | futures, swap                                                                                             |
| mrid           | long         | true     | Match ID, unique identification                                 |                                                                                                           |
| ask            | array        | false    | \[Ask 1 price, Ask 1 qty (cont)]                                |                                                                                                           |
| bid            | array        | false    | \[Bid 1 price, Bid 1 qty (cont)]                                |                                                                                                           |
| ts             | long         | true     | The system detects the orderbook time point, unit: milliseconds |                                                                                                           |
| \</ticks>      |              | false    |                                                                 |                                                                                                           |
| ts             | long         | true     | Time of Respond Generation, Unit: Millisecond                   |                                                                                                           |

### Request Example

```
GET https://api.sunx.io/sapi/v1/market/bbo?contract_code=BTC-USDT
```

### Response Example

```
{
    "status": "ok",
    "ticks": [
        {
            "trade_partition": "USDT",
            "business_type": "swap",
            "contract_code": "BTC-USDT",
            "ask": [
                114881.2,
                34
            ],
            "bid": [
                114860.2,
                5
            ],
            "mrid": 100000016261408,
            "ts": 1757931638127
        }
    ],
    "ts": 1757931643221
}
```
